Bug 195591 - Web Inspector: ScriptProfiler: lazily create the agent
Summary: Web Inspector: ScriptProfiler: lazily create the agent
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 195865
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-11 17:53 PDT by Devin Rousso
Modified: 2019-03-19 12:26 PDT (History)
12 users (show)

See Also:


Attachments
Patch (9.21 KB, patch)
2019-03-17 16:42 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (9.54 KB, patch)
2019-03-18 19:07 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.89 MB, application/zip)
2019-03-19 01:20 PDT, Build Bot
no flags Details
Patch (9.66 KB, patch)
2019-03-19 11:52 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-03-11 17:53:35 PDT
.
Comment 1 Radar WebKit Bug Importer 2019-03-11 17:54:26 PDT
<rdar://problem/48791756>
Comment 2 Devin Rousso 2019-03-17 16:42:15 PDT
Created attachment 364985 [details]
Patch
Comment 3 Devin Rousso 2019-03-18 19:07:35 PDT
Created attachment 365107 [details]
Patch
Comment 4 Joseph Pecoraro 2019-03-18 21:54:41 PDT
Comment on attachment 365107 [details]
Patch

Nice, r=me
Comment 5 Yusuke Suzuki 2019-03-18 23:53:45 PDT
Cool!
Comment 6 Build Bot 2019-03-19 01:20:44 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2019-03-19 01:20:46 PDT Comment hidden (obsolete)
Comment 8 WebKit Commit Bot 2019-03-19 10:51:00 PDT Comment hidden (obsolete)
Comment 9 Devin Rousso 2019-03-19 11:52:55 PDT
Created attachment 365196 [details]
Patch
Comment 10 WebKit Commit Bot 2019-03-19 12:25:59 PDT
Comment on attachment 365196 [details]
Patch

Clearing flags on attachment: 365196

Committed r243160: <https://trac.webkit.org/changeset/243160>
Comment 11 WebKit Commit Bot 2019-03-19 12:26:00 PDT
All reviewed patches have been landed.  Closing bug.